-----------------------
-- Localisation
-----------------------

-- Default strings
TM_Strings = {};
TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Resetting to default values.";
TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
TM_Strings["ERROR__UNHANDLED_EVENT"] = "ERROR: Event '%1$s' not handled by AddOn '%2$s'.";
TM_Strings["INFO__CHAT"] = "Chat: %d";
TM_Strings["INFO__GAME"] = "Game: %d";
TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";

-- Replacing localised strings
local locale = GetLocale();
if(locale == "deDE") then
	TM_Strings["ERROR__INVALID_CONFIG"] = "FEHLER: Ungültige Konfiguration für das TrafficMeter-AddOn! Konfiguration wird zurückgesetzt.";
	TM_Strings["ERROR__UI_CREATION_MAIN"] = "FEHLER: Frame-Objekt für das TrafficMeter-UI konnte nicht erzeugt werden!";
	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' wird vom AddOn '%2$s' nicht unterstützt.";
	TM_Strings["INFO__CHAT"] = "Chat: %d";
	TM_Strings["INFO__GAME"] = "Spiel: %d";
	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "enGB") then
	-- no changes
elseif(locale == "enUS") then
	-- no changes
elseif(locale == "esES") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "esMX") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "frFR") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "itIT") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "koKR") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "ptBR") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "ruRU") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "zhCN") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
elseif(locale == "zhTW") then
--	TM_Strings["ERROR__INVALID_CONFIG"] = "ERROR: Invalid configuration for TrafficMeter addon! Clearing configuration. Please reload UI or relog the character.";
--	TM_Strings["ERROR__UI_CREATION_MAIN"] = "ERROR: Frame object for TrafficMeter UI could not be created!";
--	TM_Strings["ERROR__UNHANDLED_EVENT"] = "Event '%1$s' not handled by AddOn '%2$s'.";
--	TM_Strings["INFO__CHAT"] = "Chat: %d";
--	TM_Strings["INFO__GAME"] = "Game: %d";
--	TM_Strings["INFO__IN_BYTES"] = "%.0f B/s In";
--	TM_Strings["INFO__IN_KILOBYTES"] = "%.2f KB/s In";
--	TM_Strings["INFO__OUT_BYTES"] = "%.0f B/s Out";
--	TM_Strings["INFO__OUT_KILOBYTES"] = "%.2f KB/s Out";
end